Eclipse Platform Release 3.7

## org.eclipse.jface.util
Interface IPropertyChangeListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  AbstractSynchronizationContentProvider, AbstractTableRendering, AbstractTextRendering, DefaultHyperlinkPresenter, FieldEditorPreferencePage, MultipleHyperlinkPresenter, SubscriberParticipant, SynchronizationContentProvider, TextConsolePage, TextEditorPreferencePage, WorkingSetScope

    public interface IPropertyChangeListener

extends EventListener

Listener for property changes.

Usage:

     IPropertyChangeListener listener =
       new IPropertyChangeListener() {
          public void propertyChange(PropertyChangeEvent event) {
             ... // code to deal with occurrence of property change
          }
       };
     emitter.addPropertyChangeListener(listener);
     ...
     emitter.removePropertyChangeListener(listener);

Method Summary
`void` `propertyChange(PropertyChangeEvent event)` Notification that a property has changed.

Method Detail

### propertyChange

    void propertyChange(PropertyChangeEvent event)

  Notification that a property has changed.

  This method gets called when the observed object fires a property change event.

  Parameters:
    `event` - the property change event object describing which property changed and how

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.